interactions:
- request:
    body: '{"messages": [{"role": "user", "content": [{"text": "What is 2+2?"}]}],
      "inferenceConfig": {}, "system": [{"text": "You are a helpful assistant."}]}'
    headers:
      Content-Length:
      - '148'
      Content-Type:
      - application/json
      User-Agent:
      - X-USER-AGENT-XXX
      accept-encoding:
      - ACCEPT-ENCODING-XXX
      amz-sdk-invocation-id:
      - AMZ-SDK-INVOCATION-ID-XXX
      amz-sdk-request:
      - attempt=1
      authorization:
      - AUTHORIZATION-XXX
      x-amz-date:
      - X-AMZ-DATE-XXX
    method: POST
    uri: https://bedrock-runtime.us-east-1.amazonaws.com/model/us.anthropic.claude-3-5-sonnet-20241022-v2%3A0/converse
  response:
    body:
      string: '{"metrics":{"latencyMs":677},"output":{"message":{"content":[{"text":"2
        + 2 = 4"}],"role":"assistant"}},"stopReason":"end_turn","usage":{"inputTokens":20,"outputTokens":13,"serverToolUsage":{},"totalTokens":33}}'
    headers:
      Connection:
      - keep-alive
      Content-Length:
      - '211'
      Content-Type:
      - application/json
      Date:
      - Mon, 01 Dec 2025 08:51:03 GMT
      x-amzn-RequestId:
      - X-AMZN-REQUESTID-XXX
    status:
      code: 200
      message: OK
version: 1
